GUMMIBOOT(8)

NAME
gummiboot - Setup and manage Gummiboot Boot Manager

SYNOPSIS

gummiboot [OPTIONS...]status

gummiboot [OPTIONS...]update

gummiboot [OPTIONS...]install

gummiboot [OPTIONS...]remove

DESCRIPTION

gummibot checks, updates, installs or removes the boot loader from the current system.

gummiboot status checks and prints the currently installed versions of the boot loader binaries and the all current EFI boot variables.

gummiboot update updates all installed versions of gummiboot, if the current version is newer than the version installed in the EFI system partition. This also includes the EFI default/fallback loader at /EFI/BOOT/BOOT*.EFI. An gummiboot entry in the EFI boot variables is created, if there is no current entry. A created entry will be added to the end of the boot order list.

gummiboot install installs gummiboot into the EFI system partition. A copy of gummiboot will be stored as the EFI default/fallback loader at /EFI/BOOT/BOOT*.EFI. An gummiboot entry in the EFI boot variables is created and added to the top of the boot order list.

gummiboot remove removes all installed versions of gummiboot from the EFI system partition, and removes gummiboot from the EFI boot variables.

If no command is passed status is implied.

OPTIONS

The following options are understood:

-h, --help
    Prints a short help text and exits.

--path
    Path to the EFI system partition. The default is /boot.

--no-variables
    Do not touch the EFI boot variables.

EXIT STATUS

On success 0 is returned, a non-zero failure code otherwise.

SEE ALSO

Gummiboot wiki[1]Boot loader specification[2]Systemd boot loader interface[3]bootctl(1)

NOTES

1.  Gummiboot wiki
    http://freedesktop.org/wiki/Software/gummiboot

2.  Boot loader specification
    http://www.freedesktop.org/wiki/Specifications/BootLoaderSpec

3.  Systemd boot loader interface
    http://www.freedesktop.org/wiki/Software/systemd/BootLoaderInterface